###############################################
# Do not Edit! Generated by:
# spec-builder version 0.13
###############################################

Name: tar
Summary: A GNU file archiving program
Group: Applications/Archiving
Version: 1.22
License: GPLv3+
URL: http://www.gnu.org/software/tar/
Release: 1.6.moblin2
Source0: ftp://ftp.gnu.org/pub/gnu/tar/tar-%{version}.tar.gz
Source1: tar.1
Patch0: tar-1.14-loneZeroWarning.patch
Patch1: tar-1.15.1-vfatTruncate.patch
Patch2: tar-1.19-xattrs.patch
Patch3: tar-1.19-xattrs-conf.patch
Patch4: tar-1.17-wildcards.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gettext
BuildRequires: libacl-devel

Requires(post): /sbin/install-info
Requires(postun): /sbin/install-info

%description
The GNU tar program saves many files together in one archive and can
restore individual files (or all of the files) from that archive. Tar
can also be used to add supplemental files to an archive and to update
or list files in the archive. Tar includes multivolume support,
automatic archive compression/decompression, the ability to perform
remote archives, and the ability to perform incremental and full
backups.
If you want to use tar for remote backups, you also need to install
the rmt package.

%prep
%setup -q -n tar-%{version}
%patch0 -p1 -b .tar-1.14-loneZeroWarning
%patch1 -p1 -b .tar-1.15.1-vfatTruncate
%patch2 -p1 -b .tar-1.19-xattrs
%patch3 -p1 -b .tar-1.19-xattrs-conf
%patch4 -p1 -b .tar-1.17-wildcards

%build
%configure --bindir=/bin --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%find_lang tar || echo -n >> tar.lang

mkdir -p %{buildroot}/%{_datadir}/doc/%{name}-%{version}
for f in `ls %{buildroot}/%{_datadir}/doc/`; do
	if [ -f %{buildroot}/%{_datadir}/doc/$f ]; then
		mv %{buildroot}/%{_datadir}/doc/$f %{buildroot}/%{_datadir}/doc/%{name}-%{version}
	fi
done
mkdir -p %{buildroot}%{_mandir}/man1
cp -a %{SOURCE1} %{buildroot}%{_mandir}/man1

%clean
rm -rf %{buildroot}

%post 
if [ -e %{_infodir}/tar.info.gz ]; then
	/sbin/install-info %{_infodir}/tar.info.gz %{_infodir}/dir
fi

%postun 
if [ $1 = 0 ] && [ -e %{_infodir}/tar.info.gz ]; then
	/sbin/install-info --delete %{_infodir}/tar.info.gz %{_infodir}/dir

fi

%files -f tar.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog ChangeLog.1 NEWS README THANKS TODO
/bin/tar
%doc %{_mandir}/man1/tar.1*
%doc %{_infodir}/tar.info*
%exclude /usr/libexec/rmt

%changelog
* Tue Apr 28 2009 Vivian Zhang <vivian.zhang@intel.com> 1.22
- Update to 1.22
- Drop upstreamed patch
- Improve loneZeroWarning patch
- Regenerate xattrs and xattrs-conf patches
* Wed Dec 17 2008 Arjan van de Ven <arjan@linux.intel.com> 1.19
- Use standard spec file
* Fri Sep 12 2008 Yi Yang <yi.y.yang@intel.com> 1.19
- Remove installation warnings of info files
